import { Injectable } from '@angular/core';
import { Network } from '@ionic-native/network/ngx';
import { Platform } from '@ionic/angular';
import { fromEvent, merge, of, Observable } from 'rxjs';
import { mapTo } from 'rxjs/operators';

@Injectable({
    providedIn: 'root'
})
export class NetworkService {

    constructor(
        private network: Network) { }

    checkNetworkConnection(){
        this.network.onConnect().subscribe((value) => {
            
            document.body.style.setProperty(`--color`, "#0782C9");
            
            console.log('network connected!',value);
          });
    }

    checkNetworkDisconnection(){
        this.network.onDisconnect().subscribe((value) => {
            document.body.style.setProperty(`--color`, "#eeeb30");
            console.log('network was disconnected :-('),value;
      
          });
    }
}